﻿using System;
using System.Diagnostics;
using RedRiver.Aspects;

[assembly: RedRiverQualityConfiguration(ConfigurationType = typeof($rootnamespace$.QualityConfig))]

namespace $rootnamespace$
{
    public static class QualityConfig
    {
        public static void HandleDebugTimeQualityIssue(string issueDetails)
        {
            // if the debugger stops here, a quality issue has occurred.
            // please review issueDetails for information.

            Debugger.Break();
            GC.KeepAlive(issueDetails);

            // NOTE: this method will only be called when a debugger is attached.
            // NOTE: at this point the issue is already logged to the Output window and to RedSupport.
        }
    }
}
